/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: blklist.h
**
*******************************************************************************
******************************************************************************/

#ifndef __BLKLIST_DOT_H__
#define __BLKLIST_DOT_H__


typedef struct gfs_blklist_s
{
  uint64		 blk_no;	/* FS block number */
  uint32		 blk_len;	/* Length of extent in FS blocks */
  struct gfs_blklist_s	*blk_next;      /* Next in the list */
} gfs_blklist_t;



int gfs_blkalloc(gfs_inode_t *ip, uint32 len, gfs_blklist_t **blks,
                int is_meta);
int gfs_blkdalloc(gfs_inode_t *dip, gfs_blklist_t **blks, uint32 rgrp_pref,
                 uint64 blk_pref, int is_dir);
int gfs_blkfree(gfs_sbd_t *sdp, gfs_blklist_t **blks);
int gfs_blkzero(gfs_sbd_t *sdp, gfs_blklist_t *blks);

void gfs_blklist_free(gfs_blklist_t *blks);

#endif  /*  __BLKLIST_DOT_H__  */
