/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      Kenneth W. Preslan <kpreslan@lcse.umn.edu>
** 
**    Module name: dir.h
**
*******************************************************************************
******************************************************************************/

#ifndef __DIR_DOT_H__
#define __DIR_DOT_H__

int gfs_dirent_alloc (buffer_head_t *bh, int name_len, gfs_dirent_t ** dent_out);
int gfs_filecmp(struct qstr *file1, char *file2, int len_of_file2);

int gfs_dir_search(gfs_inode_t *dip, struct qstr *filename, uint64 *inode);
int gfs_dir_add(gfs_inode_t *dip, struct qstr *filename, uint64 inode);
int gfs_dir_del(gfs_inode_t *dip, struct qstr *filename);
int gfs_dir_trans(gfs_inode_t *dip, int64 *f_pos, void *dirent, filldir_t filldir);
int gfs_dir_mvino(gfs_inode_t *dip, struct qstr *filename, uint64 new_inode);

gfs_blklist_t *gfs_dir_free(gfs_inode_t *dip);

#endif  /*  __DIR_DOT_H__  */

