/******************************************************************************
*
*    Copyright 1999 Regents of the University of Minnesota
*
*    This is free software released under the GNU General Public License.
*    There is no warranty for this software.  See the file COPYING for
*    details.
*
*    See the file CONTRIBUTORS for a list of contributors.
*
*    This file is maintained by:
*      Mike C Tilstra <tilstra@lcse.umn.edu>
* 
*    Module name: dlock_ip.o
*    Files: dlip.h dlip_main.c dlip_misc.c dlip_misc.h dlrpc.c dlrpc.h
*
* Misc functions that we use that are not in the kernel.
* Atleast I couldn't find them.
* */

#include "gfs_endian.h"
#include "dlip_misc.h"

int atoi(char *c)
{
  int x = 0;

  while ('0' <= *c && *c <= '9')
  {
    x = x * 10 + (*c - '0');
    c++;
  }

  return(x);
}

int inet_aton(char *ascii, u32 *number)
{
	u32 ip = 0, value;
	int x;

	for (x = 0; x < 4; x++) {
		value = atoi(ascii);
		if (value > 255)
			return(-1);

		ip = (ip << 8) | value;

		if (x != 3) {
			ascii = strstr(ascii, ".");
			if (!ascii)
				return(-1);
			ascii++;
		}
	}

	*number = cpu_to_be32p(&ip);

	return(0);
}

