/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      David C. Teigland  <teigland@lcse.umn.edu>
** 
**    Module name: pool_ondisk.h
**
**    Description:
**	Network storage pool device driver shared header file, on disk
**	structures.
**
*******************************************************************************
******************************************************************************/

#ifndef __POOL_ONDISK_H__
#define __POOL_ONDISK_H__

#include "global.h"


#define POOL_NAME_SIZE		(256)


/* Pool label is at the head of every pool disk partition */

#define SIZEOF_POOL_LABEL 	(512)

typedef struct pool_label_s
{
  uint64	pl_magic;	/* Pool magic number */
  uint64	pl_pool_id;	/* Unique pool identifier */
  uint32	pl_version;	/* Pool version */
  uint32	pl_subpools;	/* Number of subpools in this pool */
  uint32	pl_sp_id;	/* Subpool number within pool */
  uint32	pl_sp_devs;	/* Number of data partitions in this subpool */
  uint32	pl_sp_devid;	/* Partition number within subpool */
  uint64	pl_blocks;	/* Number of blocks in this partition */
  uint32	pl_striping;	/* Striping size within subpool */
  uint32	pl_sp_dldevs;	/* Number of dlock devices in this subpool */
  uint32	pl_sp_dlid;	/* Dlock device number within subpool */
  uint32	pl_dlocks;	/* Number of dlocks on this device */
  uint32	pl_dl_stripe;	/* Striping size for dlocks */
  char		pl_pool_name[POOL_NAME_SIZE];	/* Name of pool */
} pool_label_t;


#endif /* __POOL_ONDISK_H__ */


























