#ifndef __DLOCK_CDB_H__
#define __DLOCK_CDB_H__

#include <stdio.h>
#include <stdlib.h>
#include "global.h"
#include "dtypes.h"

typedef dlock_CDB dlock_cdb;
typedef cid_ntry cid_entry;
typedef dlock_RDF dlock_rdf;

dlock_cdb *new_dlock_cdb();
cid_entry  *new_cid_entry_();
dlock_rdf *new_dlock_rdf();
cid_entry  *new_cid_entry(uint32 entry);


/*********************************************************
 *********************************************************
 **clr_cid_entry()
 **
 **Description: removes all client id's from a dlock rdf.
 *********************************************************
 *********************************************************/
void   clr_cid_entry (dlock_rdf *rdf);

/*********************************************************
 *********************************************************
 **add_cid_entry_()
 **
 **Description: adds the input client id to the dlock rdf.
 **
 **Input: cid_entry pointer.
 *********************************************************
 *********************************************************/
void   add_cid_entry_(dlock_rdf *rdf, cid_entry *entry);

/*********************************************************
 *********************************************************
 **add_cid_entry()
 **
 **Description: adds the input client id to the dlock rdf.
 **
 **Input: uint32 
 *********************************************************
 *********************************************************/
void   add_cid_entry (dlock_rdf *rdf, uint32 entry);

/*********************************************************
 *********************************************************
 **rem_cid_entry()
 **
 **Description: removes the specified client id 
 **from a dlock rdf.
 *********************************************************
 *********************************************************/
void   rem_cid_entry (dlock_rdf *rdf, uint32 entry);

/*********************************************************
 *********************************************************
 **get_cid_entry()
 **
 **Description: get the indexth client id in a dlock rdf.
 **
 **Input: Index int
 **
 **Returns: uint32 client id value. 
 *********************************************************
 *********************************************************/
uint32 get_cid_entry (dlock_rdf *rdf, int ii);



#endif /* __DLOCK_CDB_H__ */
