#ifndef __MODE_PAGE_H__
#define __MODE_PAGE_H__


#include "global.h"
#include <stdlib.h>
#include <stdio.h>
#include "dtypes.h"

typedef rexpired_RDF  rexpired_rdf;
typedef mode_CDB      mode_cdb;
typedef mode_page_RDF mode_page_rdf;


rexpired_rdf    *new_rexpired_rdf(int numlocks);
mode_cdb        *new_mode_cdb();
mode_page_rdf   *new_mode_page_rdf();

void delete_mode_cdb       (mode_cdb *cdb);
void delete_mode_page_rdf  (mode_page_rdf *rdf);
void delete_rexpired_rdf   (rexpired_rdf *rdf);

/*********************************************************
 *********************************************************
 **get_exlock_block()
 **
 **Description: an exlock block is a 1 byte feild holding 
 **a bitmap of eight lock's expired status. this returns 
 **the block in which the input lock is stored. 
 *********************************************************
 *********************************************************/
uint8 *get_exlock_block    (rexpired_rdf *rdf, int lock);

/*********************************************************
 *********************************************************
 **re_rdf_set_exlock()
 **
 **Description: sets the bit for the input lock in the input
 **rexpired_rdf.
 *********************************************************
 *********************************************************/
void re_rdf_set_exlock     (rexpired_rdf *rdf, int lock);

/*********************************************************
 *********************************************************
 **re_rdf_clear_exlock()
 **
 **Description: clears the bit for the input lock in the input
 **rexpired_rdf.
 *********************************************************
 *********************************************************/
void re_rdf_clear_exlock   (rexpired_rdf *rdf, int lock);




#endif /* __MODE_PAGE_H__ */


