/******************************************************************************
*******************************************************************************
**
**    Copyright 1995-1999 Regents of the University of Minnesota
**
**    This is free software released under the GNU General Public License.
**    There is no warranty for this software.  See the file COPYING for
**    details.
**
**    See the file CONTRIBUTORS for a list of contributors.
**
**    This file is maintained by:
**      mike tilstra <tilstra@lcse.umn.edu>
** 
**    Module name: lockprobe
**
**    Description: get the atatus of a lock from an ipdlock server.
**
*******************************************************************************
******************************************************************************/

#include <memory.h> /* for memset */
#include "nddserv.h"

/* Default timeout can be changed using clnt_control() */
static struct timeval TIMEOUT = { 25, 0 };

RDFs *
ndd_dodlock_1(CDBs *argp, CLIENT *clnt)
{
	static RDFs clnt_res;

	memset((char *)&clnt_res, 0, sizeof(clnt_res));
	if (clnt_call(clnt, ndd_dodlock, xdr_CDBs, argp, xdr_RDFs, &clnt_res, TIMEOUT) != RPC_SUCCESS) {
		return (NULL);
	}
	return (&clnt_res);
}
