#include <stdio.h>
#include <stdlib.h>
#include <sys/ioctl.h>


#include "gfs_profile.h"
#include "gfs_ioctl.h"

int main(int argc, char **argv) {
  FILE *fp;
  struct gfs_profile prof[100];
  int x;

  if (argc != 2) {
    fprintf(stderr, "<any filename in gfs mounted directory>\n");
    return -1;
  }

  if ((fp = fopen(argv[1], "r")) == NULL) {
    fprintf(stderr, "can't open %s", argv[1]);
    return -1;
  }

  if (ioctl(fileno(fp), GFS_DUMPSTATS, (void *) prof) != 0) {
    fprintf(stderr, "error on ioctl\n");
    return -1;
  }

  for (x=0; x<= GFS_DIR_FREE; x++) {
    printf("%s calls:  %"FMT_64"u\n", fn_names[x], prof[x].total_calls);
    printf("%s micros: %"FMT_64"u\n", fn_names[x], prof[x].total_micros);
  }
  
  return 0;
}
