#ifndef DLOCK_INTERFACE_DOT_H
#define DLOCK_INTERFACE_DOT_H


#define MAX_CLIENTS     (128)
#define MAX_LOCK_BITS   (8192)



/*  All variables represent the fields defined in the Dlock 0.9.4 spec.  */

typedef struct dlock_data_s
{
  /*  Parameters passed in the CDB  */

  unsigned int action, locknum, clientid, inputversion;

  /*  Parameters passed back in the Return Data  */

  unsigned int result, state, expired, activity, version, holders;
  unsigned int clientids[128];
  unsigned char bits[MAX_LOCK_BITS];
} dlock_data_t;



/*  Data from the mode page.  */

typedef struct dlock_info_s
{
  unsigned int clients, locks, timeout;
} dlock_info_t;



typedef struct dlock_interface_s
{
  char name[256];

  void *(*open)(char *table_name);
  void (*close)(void *handle);

  int (*do_dlock)(void *handle, dlock_data_t *request);

  int (*get_info)(void *handle, dlock_info_t *info);
  int (*set_info)(void *handle, dlock_info_t *info);
} dlock_interface_t;

typedef struct device_handle_s 
{
  dlock_interface_t *t;
  void *name;
} device_handle_t;

#endif  /*  DLOCK_INTERFACE_DOT_H  */


